GET/cosmos/gov/v1beta1/params/{params_type}

https://rest-babylon-mainnet.nodit.io/cosmos/gov/v1beta1/params/string

Params queries all parameters of the gov module.

Path Parameters
params_typestringrequired

params_type defines which parameters to query for, can be one of "voting", "tallying" or "deposit".

Responses
voting_periodstring

Duration of the voting period.

min_depositobject[]

Minimum deposit for a proposal to enter voting period.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

max_deposit_periodstring

Maximum period for Atom holders to deposit on a proposal. Initial value: 2 months.

quorumstring (byte)

Minimum percentage of total stake needed to vote for a result to be considered valid.

thresholdstring (byte)

Minimum proportion of Yes votes for proposal to pass. Default value: 0.5.

veto_thresholdstring (byte)

Minimum value of Veto votes to Total votes ratio for proposal to be vetoed. Default value: 1/3.

X-API-KEY
RequestCU1
cURL
curl -X GET "https://rest-babylon-mainnet.nodit.io/cosmos/gov/v1beta1/params/string" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "voting_params": {
    "voting_period": "string"
  },
  "deposit_params": {
    "min_deposit": [
      {
        "denom": "string",
        "amount": "string"
      }
    ],
    "max_deposit_period": "string"
  },
  "tally_params": {
    "quorum": "string",
    "threshold": "string",
    "veto_threshold": "string"
  }
}